{"openapi":"3.1.0","info":{"title":"The Trust Intelligence Platform - Document Gateway","version":"2.0"},"servers":[{"url":"https://{$$.env.host}"}],"tags":[{"name":"Document Gateway","description":"The Document Gateway API provides secure document download functionality using tokens from the Document Service V4."}],"paths":{"/api/document-gateway/{id}":{"get":{"tags":["Document Gateway"],"summary":"Download Document","description":"Use this API to download a document or attachment.\n\n> 🗒 Things to Know\n> \n> - A download token from the Attachments V4 Get Download Token API (GET /api/document/v4/attachments/token/{attachmentId})\nresponse must be provided in the Authorization header as a Bearer token.","operationId":"download","parameters":[{"name":"id","in":"path","description":"Document ID that must match the document ID in the JWT token","required":true,"schema":{"type":"string","format":"uuid","example":"550e8400-e29b-41d4-a716-446655440000"}},{"name":"Authorization","in":"header","description":"Bearer token obtained from Attachments V4 Get Download Token API (GET /api/document/v4/attachments/token/{attachmentId})","required":true,"schema":{"type":"string","example":"Bearer eyJhbGciOiJkaXIiLCJlbmMiOiJBMjU2R0NNIn0..."}}],"responses":{"200":{"description":"Document downloaded successfully","content":{"*/*":{"schema":{"type":"string","format":"binary"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"429":{"description":"Too Many Requests. \nFor more information, see [API Rate Limits](https://developer-onetrust-com.ezproxy.nottingham.edu.cn/onetrust/reference/rate-limits-overview)."},"500":{"description":"Internal Server Error"}}}}},"components":{"securitySchemes":{}}}